Exporter (0) Imprimer
Développer tout

Bulletin de sécurité Microsoft MS14-042 - Modéré

Une vulnérabilité dans Microsoft Service Bus pourrait permettre un déni de service (2972621)

Date de publication : 8 juillet 2014 | Date de mise à jour : 14 octobre 2014

Version : 2.0

Informations générales

Synthèse

Cette mise à jour de sécurité corrige une vulnérabilité révélée publiquement dans Microsoft Service Bus pour Windows Server. Cette vulnérabilité pourrait permettre un déni de service si un attaquant authentifié distant créait et exécutait un programme qui envoie une séquence de messages AMQP (Advanced Message Queuing Protocol) au système cible. Microsoft Service Bus pour Windows Server n'est fourni avec aucun système d'exploitation Microsoft. Pour rendre un système affecté vulnérable, Microsoft Service Bus doit d'abord être téléchargé, installé et configuré, puis ses détails de configuration (certificat de batterie) partagés avec d'autres utilisateurs.

Cette mise à jour de sécurité est de niveau « modéré » pour Microsoft Service Bus 1.1 installé sur les éditions concernées de Windows Server 2008 R2, Windows Server 2012 et Windows Server 2012 R2. Pour plus d'informations, consultez la section « Logiciels concernés et non concernés ».

Cette mise à jour de sécurité corrige la vulnérabilité en modifiant la façon dont Service Bus pour Windows Server traite les messages AMQP. Pour obtenir plus d'informations sur cette vulnérabilité, consultez la sous-section « Forum aux questions  » spécifique à chaque vulnérabilité dans ce même Bulletin.

Recommandation. La majorité de nos clients chez lesquels les mises à jour automatiques sont activées n'auront pas besoin d'entreprendre de nouvelle action car cette mise à jour de sécurité sera téléchargée et installée automatiquement. Pour plus d'informations sur les options de configuration spécifiques des mises à jour automatiques, consultez l'Article 294871 de la Base de connaissances Microsoft. Pour les clients chez lesquels les mises à jour automatiques ne sont pas activées, les étapes de l'article « Activer ou désactiver les mises à jour automatiques » peuvent être utilisées pour activer les mises à jour automatiques.

Pour les administrateurs et les installations d'entreprise, ou bien pour les utilisateurs souhaitant installer cette mise à jour de sécurité manuellement (y compris les clients chez lesquels les mises à jour automatiques ne sont pas activées), Microsoft recommande à ses clients de songer à appliquer cette mise à jour immédiatement à l'aide d'un logiciel de gestion des mises à jour ou en recherchant les mises à jour à l'aide du service Microsoft Update. Les mises à jour sont également disponibles via les liens de téléchargement du tableau « Logiciels concernés » dans ce même Bulletin.

Pour obtenir des conseils supplémentaires, consultez la section « Outils de détection, de déploiement et Conseils » dans ce même Bulletin.

Article de la Base de connaissances

  • Article de la Base de connaissances : 2972621
  • Informations sur les fichiers : Oui
  • Mots de passe hachés SHA1/SHA2 : Oui
  • Problèmes connus : Oui

 

Microsoft a testé les logiciels suivants afin de déterminer quelles versions ou éditions sont concernées. Toute autre version ou édition a soit atteint la fin de son cycle de vie ou bien n'est pas affectée. Consultez le site Web Politique de Support Microsoft afin de connaître la politique de support Microsoft pour votre version ou édition.

Logiciels concernés 

Produit

Impact de sécurité maximal

Indice de gravité cumulée

Mises à jour remplacées

Microsoft Service Bus 1.1 installé sur Windows Server 2008 R2 pour systèmes x64 Service Pack 1
(2972621)

Déni de service

Modéré

Aucun

Microsoft Service Bus 1.1 installé sur Windows Server 2012
(2972621)

Déni de service

Modéré

Aucun

Microsoft Service Bus 1.1 installé sur Windows Server 2012 R2
(2972621)

Déni de service

Modéré

Aucun

 

Quelle version de Microsoft Service Bus pour Windows Server est affectée par cette vulnérabilité ? 
Microsoft Service Bus 1.1 est affecté par cette vulnérabilité si les versions des fichiers binaires concernés présents sur le système correspondent à celles définies sous la section « Version du produit vulnérable » dans le tableau ci-dessous.

Fichier binaire concerné

Version du produit vulnérable

Version du produit attendue après l'application de la mise à jour

Microsoft.ServiceBus.dll

2.1.30904.0

2.1.40512.2

Microsoft.Cloud.ServiceBus.Client.dll

2.1.30904.0

2.1.40512.2

Microsoft.ServiceBus.Commands.dll

2.0.30904.0

2.0.40512.2

Microsoft.Cloud.ServiceBus.Messaging.dll

2.0.30904.0

2.0.40512.2

Si les versions du produit pour les fichiers binaires concernés présents sur le système sont supérieures ou égales aux entrées de la deuxième colonne, Microsoft Service Bus 1.1 a été mis à jour pour corriger la vulnérabilité et n'est pas affecté.

Comment puis-je savoir quelle version de Microsoft Service Bus pour Windows Server est actuellement installée sur mon système ? 
Si Microsoft Service Bus 1.1 est déjà installé sur votre ordinateur, il est répertorié dans Ajout/Suppression de programmes. Vous pouvez vérifier le numéro de version logicielle pour les fichiers binaires concernés (situés dans le répertoire C:\Program Files\Service Bus\1.1) en affichant les propriétés du fichier et en prenant note de la version de produit trouvée sous l'onglet Détails. Les fichiers binaires et les versions du produit vulnérables concernés sont répertoriés dans le tableau ci-dessus.

Comment mettre à jour manuellement ma version de Microsoft Service Bus pour Windows Server ? 
Les utilisateurs qui choisissent d'installer la mise à jour manuellement au lieu de l'installer via Microsoft Update doivent d'abord déterminer quelle est version installée sur leur système (Microsoft Service Bus 1.1 est uniquement pris en charge par sur Windows Server 2008 R2 Service Pack 1, Windows Server 2012 et Windows Server 2012 R2). Si Service Bus 1.1 est installé sur votre système, vérifiez la version de l'un des fichiers binaires concernés, comme décrit dans les Forums aux questions précédents. Si la version du produit présente sur le système est vulnérable, téléchargez et installez la mise à jour 2972621 via les liens vers le Centre de téléchargement Microsoft fournis dans la section « Logiciels concernés » de ce Bulletin.

Cette mise à jour va-t-elle mettre à niveau ma version de Microsoft Service Bus pour Windows Server ? 
Non. La mise à jour 2972621 ne met pas à niveau les versions précédentes de Microsoft Service Bus vers la version 1.1. Microsoft recommande cette mise à niveau afin d'assurer la protection contre la vulnérabilité décrite dans ce Bulletin.

J'utilise une version antérieure du logiciel décrit dans ce Bulletin de sécurité. Que dois-je faire ? 
Microsoft a testé les logiciels répertoriés dans ce bulletin afin de déterminer quelles versions sont concernées. Les autres versions ont atteint la fin de leurs cycles de vie. Pour plus d'informations sur le cycle de vie des produits, visitez le site Web Politique de Support Microsoft.

Les clients qui utilisent une version antérieure de ces logiciels doivent prioritairement passer à une version en cours de support, afin de prévenir leur exposition potentielle aux vulnérabilités. Consultez le site Web Politique de Support Microsoft afin de connaître les modalités de support de la version de votre logiciel. Pour plus d'informations à propos des Service Packs pour ces versions logicielles, consultez la page Politique de support relative aux Service Packs.

Les clients nécessitant un support supplémentaire pour des logiciels plus anciens doivent prendre contact avec leur responsable de compte Microsoft, leur responsable technique de compte ou le partenaire Microsoft approprié pour connaître les options de support personnalisé. Les clients ne bénéficiant pas d'un Contrat Alliance, Premier ou Authorized peuvent appeler leur agence commerciale locale Microsoft. Pour obtenir des informations de contact, visitez le site Web Microsoft Worldwide Information, sélectionnez le pays dans la liste Informations de contact, puis cliquez sur Go pour afficher une liste de numéros de téléphone. Lorsque vous appelez, demandez à parler au directeur commercial local de Support Premier. Pour plus d'informations, consultez le Forum aux questions sur la politique de support Microsoft.

Les indices de gravité suivants considèrent l'impact potentiel maximal de la vulnérabilité. Pour plus d'informations sur les risques dans les 30 jours suivant la publication d'un Bulletin concernant l'exploitabilité de la vulnérabilité par rapport à son indice de gravité et à son impact, consultez l'Indice d'exploitabilité dans la synthèse des Bulletins de sécurité de juillet. Pour plus d'informations, consultez l'Indice d'exploitabilité Microsoft.

Indice de gravité par vulnérabilité et Impact de sécurité maximal par logiciel concerné

Logiciels concernés

Vulnérabilité de déni de service dans Service Bus - CVE-2014-2814

Indice de gravité cumulée

Microsoft Service Bus 1.1 installé sur Windows Server 2008 R2 pour systèmes x64 Service Pack 1
(2972621)

Modéré 
Déni de service

Modéré

Microsoft Service Bus 1.1 installé sur Windows Server 2012
(2972621)

Modéré 
Déni de service

Modéré

Microsoft Service Bus 1.1 installé sur Windows Server 2012 R2
(2972621)

Modéré 
Déni de service

Modéré

 

Il existe une vulnérabilité de déni de service dans Microsoft Service Bus pour Windows Server. Tout attaquant authentifié parvenant à exploiter cette vulnérabilité pourrait empêcher Service Bus de répondre aux messages AMQP entrants.

Pour afficher cette vulnérabilité en tant qu'entrée standard dans la liste « Common Vulnerabilities and Exposures », consultez la référence CVE-2014-2814.

Facteurs atténuants

Une atténuation fait référence à un paramètre, une configuration générale ou à des préférences existant dans un état par défaut qui pourraient diminuer l'impact de l'exploitation d'une vulnérabilité. Les facteurs atténuants suivants peuvent être utiles, selon votre situation :

  • Microsoft Service Bus pour Windows Server n'est fourni avec aucun système d'exploitation Microsoft. Pour rendre un système affecté vulnérable, Microsoft Service Bus doit d'abord être téléchargé, installé et configuré, puis ses détails de configuration (certificat de batterie) partagés avec d'autres utilisateurs.

Solutions de contournement

Une solution de contournement fait référence à une modification de paramètre ou de configuration qui ne corrige pas la vulnérabilité sous-jacente mais qui pourrait contribuer à bloquer certains vecteurs d'attaque connus jusqu'à ce que la mise à jour soit appliquée. Microsoft a testé les solutions de contournement suivantes et indique le cas échéant si une solution réduit certaines fonctionnalités :

Désactiver AMQP

Si vous n'avez pas besoin de la connectivité et de la fonctionnalité du protocole AMQP, vous pouvez désactiver son utilisation. Pour désactiver AMQP, procédez comme suit :

  1. Ouvrez le fichier GatewayComponents.config situé dans le répertoire C:\Program Files\Service Bus\1.1\. (Enregistrez une copie de sauvegarde de ce fichier afin de le restaurer plus tard si vous souhaitez annuler cette solution de contournement.)
  2. Supprimez toutes les références au composant « AmqpProtocolHead » et enregistrez le fichier.
  3. Pour que les modifications prennent effet, exécutez les applets de commande PowerShell de Service Bus suivantes :
    stop-sbhost
    

    suivi de

    start-sbhost
    

    Remarque : S'il existe plusieurs nœuds dans la batterie de bus des services configurés, les étapes précédentes doivent être exécutées sur chaque nœud de la batterie.

Impact de cette solution de contournement. Aucune connexion AMQP ne sera acceptée.

Comment annuler cette solution de contournement. 

Pour annuler cette solution de contournement, procédez comme suit :

  1. Restaurez votre sauvegarde du fichier GatewayComponents.config dans le répertoire C:\Program Files\Service Bus\1.1\.
  2. Pour que les modifications prennent effet, exécutez les applets de commande PowerShell de Service Bus suivantes :
    stop-sbhost
    

    suivi de

    start-sbhost 
    

    Remarque : S'il existe plusieurs nœuds dans la batterie de bus des services configurés, les étapes précédentes doivent être exécutées sur chaque nœud de la batterie.

Forum aux questions

Quelle est la portée de cette vulnérabilité ? 
Il s'agit d'une vulnérabilité de déni de service.

Quelle est la cause de cette vulnérabilité ? 
Cette vulnérabilité survient lorsque Microsoft Service Bus traite de façon incorrecte des messages AMPQ spécialement conçus.

Qu'est-ce qu'AMQP (Advanced Message Queuing Protocol) ? 
Advanced Message Queuing Protocol (AMQP) est un protocole de messagerie efficace et fiable que vous pouvez utiliser pour créer des applications de messagerie inter-plates-formes robustes. Pour plus d'informations sur Microsoft Service Bus pour Windows Server, reportez-vous à l'article MSDN « AMQP de Service Bus : guide du développeur ».

Qu'est-ce que Microsoft Service Bus pour Windows Server ?
Microsoft Service Bus pour Windows Server est un composant installable qui fournit des fonctionnalités de messagerie dans Windows. Il permet aux clients de créer, tester et exécuter des applications orientées messagerie dans des environnements auto-gérés. Pour plus d'informations sur Microsoft Service Bus pour Windows Server, veuillez consulter l'article MSDN consacré à Service Bus pour Windows Server (Service Bus 1.1) (en anglais).

Que pourrait faire un attaquant en exploitant cette vulnérabilité ? 
Un attaquant qui parviendrait à exploiter cette vulnérabilité pourrait empêcher Microsoft Service Bus de répondre aux messages entrants.

Comment un attaquant pourrait-il exploiter cette vulnérabilité ? 
Un attaquant distant authentifié pourrait exploiter cette vulnérabilité en créant et exécutant un programme qui envoie une séquence de messages AMQP spécialement conçus au système cible.

Quels sont les systèmes les plus exposés à cette vulnérabilité ? 
Les serveurs Windows sur lesquels Microsoft Service Bus pour Windows Server est installé sont les plus exposés à cette vulnérabilité.

Que fait cette mise à jour ? 
Cette mise à jour corrige la vulnérabilité en modifiant la façon dont Microsoft Service Bus pour Windows Server traite les messages AMQP.

Lors de la parution de ce Bulletin de sécurité, cette vulnérabilité avait-elle été révélée publiquement ? 
Oui. Cette vulnérabilité a été révélée publiquement. Elle a reçu le numéro « Common Vulnerability and Exposure » CVE-2014-2814.

Lors de la parution de ce Bulletin de sécurité, Microsoft avait-il été informé d'une éventuelle exploitation de cette vulnérabilité ? 
Non. Microsoft n'a pas connaissance d'attaques visant à exploiter cette vulnérabilité.

Plusieurs ressources sont disponibles pour aider les administrateurs à déployer des mises à jour de sécurité. 

  • Microsoft Baseline Security Analyzer (MBSA) permet aux administrateurs de rechercher les mises à jour manquantes et les erreurs de configuration de sécurité courantes sur les systèmes locaux et distants. 
  • Windows Server Update Services (WSUS), Systems Management Server (SMS) et System Center Configuration Manager aident les administrateurs à distribuer les mises à jour de sécurité. 
  • Les composants d'évaluation de la compatibilité des mises à jour (Update Compatibility Evaluator) inclus avec les outils d'analyse de compatibilité des applications (Application Compatibility Toolkit) contribuent à rationaliser le test et la validation des mises à jour Windows en fonction des applications installées. 

Pour obtenir des informations sur ces ressources et d'autres outils disponibles, consultez la page « Outils de sécurité ». 

Microsoft Service Bus pour Windows Server

Tableau de référence

Le tableau suivant contient les informations de mise à jour de sécurité concernant ce logiciel.

Nom de fichier de la mise à jour de sécurité

Pour Microsoft Service Bus pour Windows Server installé sur toutes les éditions en cours de support de Windows Server 2008 R2, Windows Server 2012 ou Windows Server 2012 R2 :
ServiceBusServer-KB2972621-x64-EN.exe

Options d'installation

Consultez l'Article 934307 de la Base de connaissances Microsoft.

Nécessité de redémarrer

Cette mise à jour ne nécessite pas le redémarrage de l'ordinateur. Le programme d'installation arrête les services requis, applique la mise à jour, puis redémarre les services. Toutefois, si les services requis ne peuvent pas être arrêtés pour quelque raison que ce soit ou si les fichiers requis sont en cours d'utilisation, cette mise à jour nécessitera un redémarrage. Dans ce cas, un message s'affiche pour vous demander de redémarrer.

Informations de désinstallation

Dans Panneau de configuration, ouvrez Programmes et fonctionnalités, localisez Mise à jour de sécurité pour Service Bus 1.1 (KB2972621) dans la liste des mises à jour installées, cliquez dessus avec le bouton droit de la souris, puis cliquez sur Désinstaller.

Consultez l'Article 2972621 de la Base de connaissances Microsoft pour obtenir les instructions de désinstallation de cette mise à jour de sécurité à l'aide d'une ligne de commande.

Informations sur les fichiers

Consultez l'Article 2972621 de la Base de connaissances Microsoft.

Vérification de la clé de Registre

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Updates\Service Bus 1.1\KB2972621

 

Microsoft Active Protections Program (MAPP)

Pour améliorer la protection de ses clients, Microsoft fournit des informations sur les vulnérabilités aux principaux fournisseurs de logiciels de sécurité avant chaque mise à jour de sécurité mensuelle. Les fournisseurs de logiciels de sécurité peuvent ainsi utiliser ces informations pour fournir des protections mises à jour à leurs clients via leurs logiciels ou périphériques de sécurité, tels que les antivirus et les systèmes de détection ou de prévention d'intrusion basés sur le réseau ou sur les hôtes. Pour déterminer si des protections actives sont disponibles, visitez les sites Web des partenaires fournisseurs de logiciels de sécurité, répertoriés sur la page Microsoft Active Protections Program (MAPP) Partners (en anglais).

Support technique

Comment obtenir de l'aide concernant cette mise à jour de sécurité

Dédit de responsabilité

Les informations contenues dans la Base de connaissances Microsoft sont fournies « en l'état », sans garantie d'aucune sorte. Microsoft exclut toute garantie, expresse ou implicite, notamment toute garantie de qualité et d'adéquation à un usage particulier. En aucun cas la société Microsoft ou ses fournisseurs ne pourront être tenus pour responsables de quelque dommage que ce soit, y compris toute perte de bénéfices directe, indirecte ou accessoire, ou de dommages spéciaux, même si la société Microsoft a été prévenue de l'éventualité de tels dommages. Certains pays n'autorisent pas l'exclusion ou la limitation de responsabilité pour les dommages indirects ou accessoires, de sorte que la restriction mentionnée ci-dessus peut ne pas vous concerner.

Révisions

  • V1.0 (8 juillet 2014) : Bulletin publié.
  • V2.0 (14 octobre 2014) : Bulletin réédité pour annoncer la disponibilité de la mise à jour de sécurité via Microsoft Update (elle n'était disponible que via le Centre de téléchargement lors de la publication initiale de ce Bulletin). Nos clients ayant déjà mis à jour leur système n'ont pas besoin d'entreprendre de nouvelle action.
Page generated 2014-10-01 10:14Z-07:00.
Cela vous a-t-il été utile ?
(1500 caractères restants)
Merci pour vos suggestions.
Afficher:
© 2015 Microsoft